package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.distributed.print.business.entity.TPRequirement;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 专业认证毕业要求 服务类
 * </p>
 *
 * @author xf
 * @since 2024-04-22
 */
public interface TPRequirementService extends IService<TPRequirement> {

    List<TPRequirement> listRequirement(Long professionalId);

    boolean saveRequirement(TPRequirement tpRequirement);

    boolean saveSort(List<TPRequirement> requirementList);

    boolean removeRequirement(Long id);

    int getMaxSortNum(Long professionalId);
}
